# class Byebug::InfoCommand::ProgramCommand

Information about arguments of the current method/block

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/info/program.rb, line 18
          def self.description
            <<-DESCRIPTION
              inf[o] p[rogram]

              #{short_description}
            DESCRIPTION
          end

regexp() click to toggle source

    # File lib/byebug/commands/info/program.rb, line 14
    def self.regexp
      /^\s* p(?:rogram)? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/info/program.rb, line 26
    def self.short_description
      "Information about the current status of the debugged program."
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/info/program.rb, line 30
    def execute
      puts "Program stopped. "
      format_stop_reason context.stop_reason
    end

### Private Instance Methods

format_stop_reason(stop_reason) click to toggle source

    # File lib/byebug/commands/info/program.rb, line 37
    def format_stop_reason(stop_reason)
      case stop_reason
      when :step
        puts "It stopped after stepping, next'ing or initial start."
      when :breakpoint
        puts "It stopped at a breakpoint."
      when :catchpoint
        puts "It stopped at a catchpoint."
      end
    end